=== debian/changelog ===
kakoune (0~2016.12.20.1.3a6167ae-2build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:57:13 +0000

kakoune (0~2016.12.20.1.3a6167ae-2) unstable; urgency=low

  * Only depend on asciidoc-base after the asciidoc package split;
    we do not build any PDF documents, so we need neither FOP nor TeX.
  * Render the README file as plain text instead of asciidoc;
    suggested by Adam Borowski <kilobyte@angband.pl>.  Build-depend on
    w3m for the conversion.
  * Add the 04-path-max patch to try to fix the build on the Hurd.
  * Add the 05-kfreebsd patch to also detect Debian GNU/kFreeBSD.
  * Add README.text to debian/clean to fix a FTBFS-twice-in-a-row bug.
  * Bring up to compliance with Debian Policy 4.1.4:
    - add the 06-doc-conditional patch and skip the documentation build
      if "nodoc" is specified in DEB_BUILD_OPTIONS or DEB_BUILD_PROFILES
    - add an autopkgtest that runs the upstream test suite
  * Point the Vcs-* URLs to salsa.debian.org.
  * Use my Debian e-mail address as maintainer.
  * Add another typo fix.
  * Bump the debhelper compatibility level to 11 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Let dpkg-buildflags take care of the LFS compiler and linker flags.

 -- Peter Pentchev <roam@debian.org>  Sun, 13 May 2018 01:54:44 +0300

kakoune (0~2016.12.20.1.3a6167ae-1) unstable; urgency=low

  * Initial release.  Closes: #848400

 -- Peter Pentchev <roam@ringlet.net>  Wed, 21 Dec 2016 18:24:33 +0200
