=== debian/control ===
Source: kakoune
Section: editors
Priority: optional
Build-Depends:
 debhelper (>= 11~),
 asciidoc-base,
 docbook-xsl,
 libboost-regex-dev (>= 1.50),
 libncursesw5-dev,
 xsltproc,
 w3m
Maintainer: Peter Pentchev <roam@debian.org>
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/kakoune/
Vcs-Git: https://salsa.debian.org/debian/kakoune.git
Homepage: http://kakoune.org/
Rules-Requires-Root: no

Package: kakoune
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Vim-inspired, selection-oriented code editor
 Kakoune is a code editor heavily inspired by Vim; as such most of its
 commands are similar to vi’s ones, and it shares Vi’s "keystrokes as
 a text editing language" model.  Kakoune can operate in two modes, normal
 and insertion.  In insertion mode, keys are directly inserted into
 the current buffer.  In normal mode, keys are used to manipulate
 the current selection and to enter insertion mode.  Kakoune has a strong
 focus on interactivity, most commands provide immediate and incremental
 results, while still being competitive (as in keystroke count) with Vim.
 Kakoune works on selections, which are oriented, inclusive range of
 characters; selections have an anchor and a cursor character.
 Most commands move both of them, except when extending selection where
 the anchor character stays fixed and the cursor one moves around.
