=== debian/changelog ===
kakoune (2019.01.20-2) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.
  * Use the test-name autopkgtest feature.

 -- Peter Pentchev <roam@debian.org>  Thu, 28 Feb 2019 11:27:06 +0200

kakoune (2019.01.20-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add a trivial git-buildpackage config file.
  * New upstream release:
    - refresh the patches
    - add a NEWS blurb about the "auto_complete" option being
      renamed to "autocomplete"

 -- Peter Pentchev <roam@debian.org>  Wed, 23 Jan 2019 16:20:29 +0200

kakoune (2018.10.27-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.2.1 with no changes.
  * Use the B-D: debhelper-compat (= 11) mechanism.
  * Add a trivial autopkgtest running adequate on the binary package.
  * Fill in the watch file now that there have been some upstream releases.
  * New upstream release (Closes: #895578):
    - drop most changes from the 01-typos patch, mostly integrated upstream
    - drop the 02-manpages patch, only install the kak(1) manual page now;
      the rest are only installed in asciidoc format in /usr/share/kak/doc
    - drop the 06-doc-conditional patches, overtaken by upstream changes
    - refresh the line numbers in the remaining patches
    - add pkg-config as a build dependency
    - make sure doc/kak.1 is not removed during clean-up
    - the "doc" target is gone from src/Makefile, do not invoke it
    - the doc path seems to be fixed now, Closes: #895605
  * Register kak(1) as an alternative for /usr/bin/editor.  Closes: #875286

 -- Peter Pentchev <roam@debian.org>  Sun, 16 Dec 2018 18:48:07 +0200
