=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: editors
 Priority: optional
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  asciidoc-base,
  docbook-xsl,
  libboost-regex-dev (>= 1.50),
  libncursesw5-dev,
+ pkg-config,
  xsltproc,
  w3m
 Maintainer: Peter Pentchev <roam@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/kakoune/
 Vcs-Git: https://salsa.debian.org/debian/kakoune.git
 Homepage: http://kakoune.org/
