=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,14 @@
 
 ifeq (${DEB_NODOC},0)
 override_dh_auto_build:
-	dh_auto_build -D src -- all man doc
+	dh_auto_build -D src -- all man
 else
 override_dh_auto_install:
 	dh_auto_install -D src -- INSTALL_TARGETS='install-kak'
 endif
 
+override_dh_auto_clean:
+	[ ! -f src/Makefile ] || ${MAKE} -C src clean
+
 %:
 	dh '$@' -D src
