## kakoune 2019.07.01

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-debug ?= yes
+debug ?= no
 static ?= no
 gzip_man ?= yes
 
@@ -10,6 +10,7 @@
 
 ifeq ($(debug),yes)
     CPPFLAGS += -DKAK_DEBUG
+    CXXFLAGS += -Og
     suffix := .debug
 else
     ifeq ($(debug),no)
@@ -60,7 +61,8 @@
 
 ifeq ($(os),Darwin)
     LIBS += -lncurses
-    CPPFLAGS += -I$(PREFIX)/opt/ncurses/include -I/opt/local/include
+    NCURSES_CFLAGS += -I$(PREFIX)/opt/ncurses/include 
+    CPPFLAGS += -I/opt/local/include
     LDFLAGS += -L$(PREFIX)/opt/ncurses/lib -L/opt/local/lib
 else ifeq ($(os),FreeBSD)
     LIBS += -ltinfow -lncursesw
@@ -72,6 +74,7 @@
     LIBS += -lncursesw
     CPPFLAGS += -D'KAK_BIN_PATH="$(bindir)/kak"' -I/usr/local/include
     LDFLAGS += -L/usr/local/lib
+    mandir := $(DESTDIR)$(PREFIX)/man/man1
 else ifneq (,$(findstring CYGWIN,$(os)))
     CPPFLAGS += -D_XOPEN_SOURCE=700
     LIBS += -lncursesw -ldbghelp
@@ -81,11 +84,11 @@
     endif
 
     LIBS += $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --libs ncursesw)
-    CPPFLAGS += $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --cflags ncursesw)
+    NCURSES_CFLAGS += $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --cflags ncursesw)
     LDFLAGS += -rdynamic
 endif
 
-CXXFLAGS += -pedantic -std=gnu++14 -g -Wall -Wextra -Wno-unused-parameter -Wno-reorder -Wno-sign-compare -Wno-address -Wno-noexcept-type -Wno-unknown-attributes -Wno-unknown-warning-option
+CXXFLAGS += -pedantic -std=c++17 -g -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare -Wno-address
 
 all : kak
 
@@ -100,6 +103,8 @@
 .%$(suffix).o: %.cc
 	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -MD -MP -MF $(addprefix ., $(<:.cc=$(suffix).d)) -c -o $@ $<
 
+.ncurses_ui$(suffix).o: CPPFLAGS += $(NCURSES_CFLAGS)
+
 .version.o: .version.cc
 	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<
 
@@ -110,7 +115,7 @@
 # Generate the man page
 ifeq ($(gzip_man),yes)
 ../doc/kak.1.gz: ../doc/kak.1
-	gzip -n -9 -f -k $<
+	gzip -n -9 -f < $< > $@
 man: ../doc/kak.1.gz
 else
 man: ../doc/kak.1
@@ -144,9 +149,7 @@
 
 installdirs:
 	install -d $(bindir) \
-		$(sharedir)/rc/base \
-		$(sharedir)/rc/core \
-		$(sharedir)/rc/extra \
+		$(sharedir)/rc \
 		$(sharedir)/colors \
 		$(sharedir)/doc \
 		$(docdir) \
@@ -156,9 +159,8 @@
 	install -m 0755 kak $(bindir)
 	install -m 0644 ../share/kak/kakrc $(sharedir)
 	install -m 0644 ../doc/pages/*.asciidoc $(sharedir)/doc
-	install -m 0644 ../rc/base/* $(sharedir)/rc/base
-	install -m 0644 ../rc/core/* $(sharedir)/rc/core
-	install -m 0644 ../rc/extra/* $(sharedir)/rc/extra
+	cp -r ../rc/* $(sharedir)/rc
+	find $(sharedir)/rc -type f -exec chmod 0644 {} +
 	[ -e $(sharedir)/autoload ] || ln -s rc $(sharedir)/autoload
 	install -m 0644 ../colors/* $(sharedir)/colors
 	install -m 0644 ../README.asciidoc $(docdir)
