=== debian/changelog ===
kakoune (2019.07.01-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:46 +0100

kakoune (2019.07.01-1) unstable; urgency=medium

  * Mark the adequate autopkgtest as superficial.
  * Declare compliance with Debian Policy 4.4.1 with no changes.
  * Drop the version from the libboost-regex-dev build dependency,
    satisfied even in oldstable (stretch).
  * New upstream version:
    - update the line numbers in the patches
  * Drop nodoc handling for now, pending more extensive changes to
    the upstream build system.
  * Correct some more typographical errors.

 -- Peter Pentchev <roam@debian.org>  Sun, 06 Oct 2019 19:33:26 +0300
