=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
  debhelper-compat (= 12),
  asciidoc-base,
  docbook-xsl,
- libboost-regex-dev (>= 1.50),
+ libboost-regex-dev,
  libncursesw5-dev,
  pkg-config,
  xsltproc,
  w3m
 Maintainer: Peter Pentchev <roam@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/kakoune/
 Vcs-Git: https://salsa.debian.org/debian/kakoune.git
 Homepage: http://kakoune.org/
