=== debian/tests/control ===
--- 
+++ 
@@ -5,3 +5,4 @@
 Test-Command: adequate kakoune
 Depends: @, adequate
 Features: test-name=adequate
+Restrictions: superficial
