=== debian/changelog ===
kakoune (2020.01.16-3) unstable; urgency=medium

  * Add the 13-upstream-check-dir-owner and 14-upstream-rework-dir-logic
    patches from the upstream Git repository to stop kakoune started as
    root from making its runtime directory inaccessible to the normal
    user account of the session user. Closes: #990635

 -- Peter Pentchev <roam@debian.org>  Mon, 05 Jul 2021 22:15:28 +0300

kakoune (2020.01.16-2) unstable; urgency=medium

  * Add some files to debian/clean to allow kakoune to be built twice in
    a row.
  * Add several upstream patches:
    - 09-upstream-test-buffer
    - 10-upstream-empty-strings
    - 11-upstream-deleted-line
    - 12-upstream-empty-register
  * Use debian/kakoune.alternatives to make use of debhelper 13.1's
    dh_installalternatives helper.
  * Correct another typographical error.

 -- Peter Pentchev <roam@debian.org>  Sun, 26 Jul 2020 01:56:44 +0300

kakoune (2020.01.16-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Drop the adequate autopkgtest.
  * Drop the Name and Contact upstream metadata fields.
  * New upstream version:
    - add the 08-optimize patch to not pass -O0 to the compiler,
      thus also restoring the build hardening functionality
  * Bump the debhelper compat level to 13 with no changes.
  * Drop "-D/-C src" from the rules file now there is a top-level Makefile.

 -- Peter Pentchev <roam@debian.org>  Wed, 29 Apr 2020 21:32:22 +0300
