=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: editors
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>> 13.1~),
+ debhelper-compat (= 13),
  asciidoc-base,
  docbook-xsl,
  libboost-regex-dev,
@@ -11,7 +12,7 @@
  xsltproc,
  w3m
 Maintainer: Peter Pentchev <roam@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/kakoune/
 Vcs-Git: https://salsa.debian.org/debian/kakoune.git
 Homepage: http://kakoune.org/
