=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,10 @@
 	env LC_ALL=C.UTF-8 dh_auto_test
 
 override_dh_auto_build:
-	dh_auto_build -D src -- all man
+	dh_auto_build -- all man
 
 override_dh_auto_clean:
-	[ ! -f src/Makefile ] || ${MAKE} -C src clean
+	[ ! -f src/Makefile ] || ${MAKE} clean
 
 %:
-	dh '$@' -D src
+	dh '$@'
