## kakoune 2020.09.01

=== src/Makefile ===
--- 
+++ 
@@ -95,7 +95,7 @@
 compiler := $(shell $(CXX) --version)
 ifneq (,$(findstring clang,$(compiler)))
     CXXFLAGS += -frelaxed-template-template-args
-else ifneq (,$(findstring GCC,$(compiler)))
+else ifneq (,$(findstring g++,$(compiler)))
     CXXFLAGS += -Wno-init-list-lifetime
 endif
 
@@ -139,7 +139,7 @@
 	ctags -R
 
 clean:
-	rm -f .*.o .*.d
+	rm -f $(objects) $(deps)
 
 dist:
 	@if ! [ -d ../.git ]; then echo "make dist can only run from a git repo";  false; fi
