=== debian/changelog ===
kakoune (2020.09.01-3) unstable; urgency=medium

  * Use the C++ gnu::packed attribute in the 16-sizeof-struct patch as
    suggested by the upstream author.
  * Add the 17-hurd-executable patch to fix the FTBFS on the Hurd.

 -- Peter Pentchev <roam@debian.org>  Sat, 21 Aug 2021 17:38:49 +0300

kakoune (2020.09.01-2) unstable; urgency=medium

  * Add the 16-sizeof-struct patch to fix the m68k FTBFS due to
    the padding and alignment of members of a structure.

 -- Peter Pentchev <roam@debian.org>  Sat, 21 Aug 2021 02:43:46 +0300

kakoune (2020.09.01-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * New upstream release:
    - drop the 09-upstream-test-buffer, 10-upstream-empty-strings,
      11-upstream-deleted-line, and 12-upstream-empty-register patches;
      they were obtained from the upstream source
    - add another correction to the 01-typos patch
    - update the line numbers in the patches
  * Add the 15-upstream-limits to fix the build with GCC 11. Closes: #984075

 -- Peter Pentchev <roam@debian.org>  Thu, 19 Aug 2021 17:18:11 +0300
