=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  xsltproc,
  w3m
 Maintainer: Peter Pentchev <roam@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/kakoune/
 Vcs-Git: https://salsa.debian.org/debian/kakoune.git
 Homepage: http://kakoune.org/
