=== debian/changelog ===
kakoune (2021.11.08-2) unstable; urgency=medium

  * Add the murmurhash-endian patch to fix the build on s390x.
    Closes: #1011978
  * Add the iterator and validate-alpha patches to fix the build with GCC 12.
    Closes: #1012956
  * Declare compliance with Policy 4.6.1 with no changes.

 -- Peter Pentchev <roam@debian.org>  Fri, 24 Jun 2022 20:23:47 +0300

kakoune (2021.11.08-1) unstable; urgency=medium

  * Use a comma, not a semicolon, after "upstream" in patch Origin lines.
  * Explicitly depend on dh-sequence-single-binary.
  * New upstream version:
    - add a couple of new corrections to the 01-typos patch
    - drop the 13-upstream-check-dir-owner, 14-upstream-rework-dir-logic, and
      15-upstream-limits patches, they were taken from upstream commits
    - drop the 16-sizeof-struct and 17-hurd-executable patches,
      applied upstream
    - refresh the patch line numbers

 -- Peter Pentchev <roam@debian.org>  Sun, 27 Feb 2022 17:00:26 +0200
