=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends:
  debhelper (>> 13.1~),
  debhelper-compat (= 13),
+ dh-sequence-single-binary,
  asciidoc-base,
  docbook-xsl,
  libboost-regex-dev,
@@ -12,7 +13,7 @@
  xsltproc,
  w3m
 Maintainer: Peter Pentchev <roam@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/kakoune/
 Vcs-Git: https://salsa.debian.org/debian/kakoune.git
 Homepage: http://kakoune.org/
