## kakoune 2022.10.31

=== Makefile ===
all:
	$(MAKE) -C src $@

%: FORCE
	$(MAKE) -C src $@

.PHONY: all FORCE
