=== src/Makefile ===
--- 
+++ 
@@ -81,11 +81,11 @@
     LDFLAGS += -rdynamic
 endif
 
-CXXFLAGS += -pedantic -std=c++17 -g -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare -Wno-address
+CXXFLAGS += -pedantic -std=c++2a -g -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare -Wno-address
 
 compiler := $(shell $(CXX) --version)
 ifneq (,$(findstring clang,$(compiler)))
-    CXXFLAGS += -frelaxed-template-template-args
+    CXXFLAGS += -frelaxed-template-template-args -Wno-ambiguous-reversed-operator
 else ifneq (,$(findstring g++,$(compiler)))
     CXXFLAGS += -Wno-init-list-lifetime
 endif
@@ -128,7 +128,7 @@
 	ctags -R
 
 clean:
-	rm -f $(objects) $(deps)
+	rm -f $(objects) $(deps) .version.cc .version.o
 
 dist:
 	@if ! [ -d ../.git ]; then echo "make dist can only run from a git repo";  false; fi
@@ -153,6 +153,9 @@
 		$(sharedir)/doc \
 		$(docdir) \
 		$(mandir)
+ifeq ($(debug),yes)
+	install -d $(sharedir)/gdb
+endif
 
 install: kak man installdirs
 	install -m 0755 kak $(bindir)
@@ -169,6 +172,9 @@
 else
 	install -m 0644 ../doc/kak.1 $(mandir)
 endif
+ifeq ($(debug),yes)
+	install -m 0644 ../gdb/kakoune.py $(sharedir)/gdb
+endif
 
 install-strip: install
 	strip -s $(bindir)/kak
