=== debian/changelog ===
kakoune (2022.10.31-2) unstable; urgency=medium

  * Switch the ncurses build dependency from the transitional
    libncursesw5-dev package to libncurses-dev.
  * Add the 09-gcc-13, 10-gcc-13-warnings, and 11-gcc-13-types upstream
    patches to fix the build with GCC 13. Closes: #1037705

 -- Peter Pentchev <roam@debian.org>  Fri, 16 Jun 2023 12:48:38 +0300

kakoune (2022.10.31-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.2 with no changes.
  * New upstream version:
    - drop the murmurhash-endian patch, integrated upstream slightly differently
    - drop the iterator and validate-alpha patches, taken from upstream
    - adapt the typos patch
    - refresh line numbers in the rest of the patches

 -- Peter Pentchev <roam@debian.org>  Sat, 07 Jan 2023 00:44:48 +0200
