=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  asciidoc-base,
  docbook-xsl,
  libboost-regex-dev,
- libncursesw5-dev,
+ libncurses-dev,
  pkg-config,
  xsltproc,
  w3m
 Maintainer: Peter Pentchev <roam@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/kakoune/
 Vcs-Git: https://salsa.debian.org/debian/kakoune.git
 Homepage: http://kakoune.org/
