=== debian/changelog ===
kakoune (2024.05.18-2ubuntu1) plucky; urgency=medium

  * Add optimize=-lto to DEB_BUILD_MAINT_OPTIONS due to OOM during build

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 24 Jan 2025 14:01:34 +0100

kakoune (2024.05.18-2) unstable; urgency=medium

  * Fix FTBFS with debhelper 13.17 and later: we override dh_auto_install,
    so it is on us to pass --destdir now. Also Closes: #1080391
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Tue, 03 Sep 2024 16:47:12 +0300

kakoune (2024.05.18-1) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Use debhelper compat level 14 and X-DH-Compat.
  * Let debhelper take care of some default dependencies.
  * Use dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF package metadata.
  * New upstream version:
    - refresh the 01-typos and 05-kfreebsd patches
    - chase the upstream move of most of the targets from src/Makefile to
      the top-level Makefile in the 03-readmei and 08-optimize patches
    - drop the 09-gcc-13, 10-gcc-13-warnings, and 11-gcc-13-types patches,
      they were taken from upstream
    - pass the override variables on the make(1) command line instead of
      via the environment
    - add the 09-parallel-dirs patch to fix installation with -jN
  * Drop the libboost-regex-dev, ncurses, and pkg-config build dependencies;
    Kakoune has not used either ncurses or boost-regex for some time now.
  * Reorder some targets in the rules file for clarity.

 -- Peter Pentchev <roam@debian.org>  Sun, 28 Jul 2024 18:33:11 +0300
