=== debian/control ===
--- 
+++ 
@@ -2,29 +2,26 @@
 Section: editors
 Priority: optional
 Build-Depends:
- debhelper (>> 13.1~),
- debhelper-compat (= 13),
+ asciidoc-base,
+ debhelper (>> 13.15.2~),
+ dh-package-notes,
  dh-sequence-single-binary,
- asciidoc-base,
  docbook-xsl,
- libboost-regex-dev,
- libncurses-dev,
- pkg-config,
+ dpkg-build-api (= 1),
+ w3m,
  xsltproc,
- w3m
-Maintainer: Peter Pentchev <roam@debian.org>
-Standards-Version: 4.6.2
+X-DH-Compat: 14
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/kakoune/
 Vcs-Git: https://salsa.debian.org/debian/kakoune.git
 Homepage: http://kakoune.org/
-Rules-Requires-Root: no
+X-Style: black
 
 Package: kakoune
 Architecture: any
 Multi-Arch: foreign
-Depends:
- ${shlibs:Depends},
- ${misc:Depends}
 Description: Vim-inspired, selection-oriented code editor
  Kakoune is a code editor heavily inspired by Vim; as such most of its
  commands are similar to vi’s ones, and it shares Vi’s "keystrokes as
