=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs optimize=-lto

include /usr/share/dpkg/default.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

# Override some of the Makefile settings
make_overrides = \
	debug=yes \
	static=no \
	pedantic=yes \
	PREFIX=/usr \

override_dh_auto_build:
	dh_auto_build -- all man $(make_overrides)

override_dh_auto_install:
	dh_auto_install --destdir '$(CURDIR)/debian/kakoune' -- $(make_overrides)

override_dh_auto_test:
	env LC_ALL=C.UTF-8 dh_auto_test -- $(make_overrides)

override_dh_auto_clean:
	[ ! -f src/Makefile ] || ${MAKE} clean

%:
	dh '$@'
