=== debian/tests/control ===
Test-Command: cp /usr/bin/kak src/ && cd test/ && ./run
Depends:
 diffutils,
 @,
Features:
 test-name=upstream,
